import React from 'react';
import {Dialog} from '../../../component/dialog/dialog.tsx';
import {Sender} from './sender.tsx';

interface SendDialogProps {
    open: boolean;
    onSend: (msg: string, files: File[]) => void;
    onClose: () => void;
}

export const SendDialog: React.FC<SendDialogProps> = ({open, onSend, onClose}) => {
    return (
        <Dialog open={open} title="发送消息" onClose={onClose}>
            <Sender onSend={onSend} />
        </Dialog>
    );
}; 